Chuyển đến nội dung
Diễn đàn CADViet

Danh Cong

Moderator
  • Số lượng nội dung

    1.380
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    114

Bài đăng được đăng bởi Danh Cong


  1. 12 giờ trước, buithengan1 đã nói:

    cái lisp này nó xoay tất cả các text và mtext bạn à

    Cái kiểu người ta đã mất công giúp đỡ mà ko thèm cám ơn 1 câu. Đợi đến 1 năm sau khi dùng bị lỗi,  không thấy hợp thì bắt đầu vào lại diễn đàn bình luận này nọ.

    Thể loại này riêng mình thì chắc mình cho tàu lượn. Văn hoá giao tiếp quá kém.


  2. 2 giờ trước, Truong_Tem đã nói:

    Tôi năm nay 59 tuổi, tôi nghỉ bố bạn củng khoảng tuổi đó, bố bạn có làm được như tôi không? Tôi nghỉ mấy bạn trẻ tuổi nên khiêm tốn hơn, thấy không thích thì không xem, không  nên trả lời.

    Xét về tuổi có lẽ em kém bác khá nhiều.

    Tuy nhiên , mọi tài khoản trong diễn đàn nếu không tự mình nói ra thì không ai biết tên + tuổi thật của nhau. Do đó, trong diễn đàn mọi tài khoản đều phải tuân thủ 1 quy tắc lịch sự tối thiểu để xây dựng môi trường diễn đàn. Mọi bài đăng mà không có tính tôn trọng (hỏi không có chủ ngữ,, hỏi trống không ) đều có thể bị người khác đánh giá, và những thành viên Admin có quyền phán xét các trường hợp này.

    Vậy nên dù bác là 59t hay là 100t đi nữa cũng không quan trọng , mà bác phải tuân thủ các quy tắc trên. Chứ không phải là  "không thích thì không xem, không  nên trả lời".

    + Kết luận đi kèm: bác Truong_Tem số Vote nhảy vọt từ: -7 lên +3  là có vấn đề rồi. Mình cũng xin miễn bình luận tại đây.

     

    • Like 1
    • Vote giảm 1

  3. 2 giờ trước, tinhcatn đã nói:

    -- Mình có text có 2 điểm chèn bên trái, muốn đưa về text có 1 điểm chèn như bên phải

    -- Các bác cho mình hỏi phải làm thế nào bây giờ. Xin cám ơn

    1.dwg

    1.png

    Bạn nên cẩn trọng trong trường hợp này.

    Có 2 phương thay đổi điểm chèn Text:

    TH1: Thay đổi vị trí điểm chèn Text, nhưng không thay đổi hình dạng Text so với các đối tượng khác trong cad. Cách này bạn Doan Nguyen Van đã trình bày.

    TH2: Chỉ thay đổi vị trí căn lề Text, nhưng điểm chèn không thay đổi. Vị trí TH này text bị thay đổi so với ban đầu. Cách này thực hiện bằng thao tác chỉnh Property của Text. ( Ctrl+1)

     

    So sánh 2 phương pháp theo dân đo đạc thì sẽ dùng cách 2, vì vị trí điểm chèn không thay đổi. Còn dùng cách 1 sẽ dẫn đến toạ độ bị thay đổi.

    • Like 1
    • Vote tăng 1

  4. 21 phút trước, MinhMee đã nói:

    Dim sẽ có đường gióng nhìn rất rối trong bv quy hoạch a ơi

    Vậy là bạn chưa thành thạo trong thiết đặt Dimstyle rồi. Trong Dimstyle, tab "Line" có các chế độ tắt các đường dóng kích thước. Tắt hết đi thì chỉ còn mỗi Text thôi. ^^. Kq sẽ giống như hình ảnh Text bạn đăng, nhưng thực chất nó là Dim.

    Bạn tự tìm hiểu tiếp nhé. :v

    • Like 2

  5. 34 phút trước, Nguyễn Thạch Ngọc đã nói:

    tôi muốn tạo 2 cái bánh răng ăn khớp tỉ lệ 1:2  để truyền động cho máy .nên tôi muộn tạo bánh răng để đem đi CNC gia công lắp vào máy

    Để tôi nói thẳng:

    Bạn có dùng được não ko thế :)))

    Mọi người ý nói là mọi người ko hiểu, không biết chuyên ngành của bạn.

    Thử hỏi kỹ sư xây nhà, làm cầu, đường điện, quy hoạch...làm sao biết về cơ khí, biết cái bánh răng 1:2 của bạn là cái gì đâu.

    Bạn nên dùng não 1 tí, chứ như này thì tôi cũng chịu. Tôi biết cad chứ ko biết cơ khí. Hết :)))


  6. 11 phút trước, LongLee đã nói:

    Mình có 1 lisp tính diện tích đường Bo nhưng lisp chỉ tính tròn số không có sau dấu phẩy. Vậy nhờ anh em giúp mình sửa lisp thành diện tích tính thêm 2 dấu phẩy đằng sau

    VD: diện tích là 500 -> 500,00 (thêm 2 số sau dấu phẩy).

    Cám ơn anh em.

     

    Tinh DT.lsp

    Bạn tìm trong lisp có từ nào là (rtos abcdef 2 0) thì thay bằng (rtos abcdef 2 X). Với X là số chữ số sau dấy phẩy.


  7. 10 phút trước, AUTOCAD_2019 đã nói:

    Bạn có biết tool đó chỉ cho chuyển 1 đối tượng không nếu nhiều đối tượng ngồi chọn tới sáng sao bạn???

    :)))
    Check lại thì đúng là nó chỉ cho chuyển 1 thật. Tôi ko mấy khi chuyển nhiều nên cũng ko để ý. Sr bạn.

    Viết cho bạn ít code trong trường hợp này: 

     

    (defun c:T2M (/ List_1 txt ) 
    (vl-load-com) (command "cmdecho" 0)
    (command "undo" "be") 
    (alert "\nSelect Dtext To Mtext")
    (setq List_1 (acet-ss-to-list (ssget (list (cons 0 "TEXT"))))) 
    (foreach txt List_1 (command "txt2mtxt" txt "") )
    (command "undo" "e") (princ))


  8. 39 phút trước, AUTOCAD_2019 đã nói:

    Hiện tại em có một lisp sưu tầm trên mạng : lisp đánh số thứ tự tự động . kết quả lisp cho ra là loại text giờ em muốn sửa lại kết quả cho ra loại Mtext (vài phần mềm bản đồ không đọc đc loại text nên em muốn kết quả cho ra mtext), mong các pro giúp...

    đây là lisp: num.LSP

    + Nhanh và gọn thì không cần sử dụng lisp.

    Bạn có thể chuyển text sang Mtext bằng công cụ Express:

    Express --> Text ---> Convert Text to Mtext.


  9. 44 phút trước, 8181 đã nói:

    trong dự án mình nhận được rất nhiều block dạng này, nếu không explode nó ra mình không cách nào chỉnh được có cao nhân nào giúp mình với

    BLOCK KHONG THE CHINH SUA.dwg

    + Block của bạn là block không tên, gọi là "anonymous-block". Bình thường thì không thể đả động chỉnh sửa gì block này.

    Tuy nhiên, đã có những người mầy mò ra cách để phá giải nó.

    Bạn có thể tham khảo link sau: 

     

    • Like 1

  10. 46 phút trước, hoangmai1003 đã nói:

    em có tạo 1 block thuộc tính có sử dụng field text, nhưng khi insert 1 cái mới từ block đã tạo thì field text không còn ghi nhớ nội dung, phải nhập lại field text, xin mọi chỉ cách nào block ghi nhớ được field text mình tạo cho dù insert thêm không ạ. em cảm ơn.

    Bạn nên đăng thêm cái Block vô, chứ đoán mò thế này chẳng biết đúng sai thế nào rồi lại mất công.


  11. 1 giờ trước, HOAILINHLINH đã nói:

    Ví dụ mình có một block duy nhất được lưu tại một file " trudien.dwg " mình muốn tạo một lisp mà khi mình load vào chỉ cần gõ lệnh trudien thì lập tức block tương ứng được chèn ra màng hình và điểm chèn là điểm đặt của Block đó không biết có bác nào giúp giùm mình

    Ps: Xin lỗi nếu cách diễn đạt của mình hai khó hiểu mong các bác thông cảm do mình sử dụng điện thoại nên không tải được file trudien.dwg lênh mong mọi người thông cảm

    Bạn thử code này :  Nhớ thay đường dẫn block sao cho phù hợp.

     

    (defun c:DC ( / BLOCK_NAME PT)
      (setq block_name "D:/Block/D16.dwg")
      (setq PT (getpoint "\nPick point insert Block :"))
      (command "insert" block_name "non" PT 1 "" "")
      (princ))


  12. 1 giờ} trướ}c, conghoa đã nói:

    image.png.378c6a6bc9d3165b2c2f6f8b37c51933.png

     

    1 giờ} trướ}c, Ma Vương đã nói:

     

     

    Có 1 điều lạ , là khi quét chọn cả 2 block rồi bật Properties lên thì name của 2 block đều là "ab".  Rõ ràng là tên 2 block có tên giống nhau :)) 

    @conghoa, bác giống hệt em. Audit 1 nhát là nó ra cái tên gì gì đấy :)))

    • Like 1
×